summaryrefslogtreecommitdiffstats
path: root/source/l/loudmouth
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/loudmouth')
-rwxr-xr-xsource/l/loudmouth/loudmouth.SlackBuild17
-rw-r--r--source/l/loudmouth/loudmouth.ld.gobject.diff11
-rw-r--r--source/l/loudmouth/slack-desc2
3 files changed, 7 insertions, 23 deletions
diff --git a/source/l/loudmouth/loudmouth.SlackBuild b/source/l/loudmouth/loudmouth.SlackBuild
index 5974e3a66..b1316f74a 100755
--- a/source/l/loudmouth/loudmouth.SlackBuild
+++ b/source/l/loudmouth/loudmouth.SlackBuild
@@ -23,7 +23,7 @@
# -----------------------------------------------------------------------------
PKGNAM=loudmouth
-VERSION=${VERSION:-1.5.0-20121201}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -31,15 +31,15 @@ NUMJOBS=${NUMJOBS:" -j4 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
@@ -67,8 +67,6 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-zcat $CWD/loudmouth.ld.gobject.diff.gz | patch -p1 --verbose || exit 1
-
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
@@ -90,20 +88,17 @@ LDFLAGS="$SLKLDFLAGS" \
--with-ssl=gnutls \
--enable-debug=yes \
--enable-static=no \
- --enable-gtk-doc \
+ --disable-gtk-doc \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --host=$ARCH-slackware-linux || exit 1
##
## NOTE: For some reason --enable-debug=yes actually _disables_ verbose debug
## messages to the console. Don't mess with it!
##
-## this generates a broken libtool, so use the system version:
-#cp /usr/bin/libtool .
-
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG
diff --git a/source/l/loudmouth/loudmouth.ld.gobject.diff b/source/l/loudmouth/loudmouth.ld.gobject.diff
deleted file mode 100644
index a9f5b8133..000000000
--- a/source/l/loudmouth/loudmouth.ld.gobject.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./loudmouth/Makefile.in.orig 2012-12-01 12:53:52.000000000 -0600
-+++ ./loudmouth/Makefile.in 2013-03-20 21:25:34.368522959 -0500
-@@ -148,7 +148,7 @@
- CCLD = $(CC)
- LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
- --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
-- $(LDFLAGS) -o $@
-+ $(LDFLAGS) -o $@ -lgobject-2.0
- SOURCES = $(libloudmouth_1_la_SOURCES) $(test_dns_SOURCES)
- DIST_SOURCES = $(am__libloudmouth_1_la_SOURCES_DIST) \
- $(test_dns_SOURCES)
diff --git a/source/l/loudmouth/slack-desc b/source/l/loudmouth/slack-desc
index 00f7c03f5..ca3c4b702 100644
--- a/source/l/loudmouth/slack-desc
+++ b/source/l/loudmouth/slack-desc
@@ -13,7 +13,7 @@ loudmouth: with the Jabber protocol. It is designed to be easy to get started
loudmouth: with, and yet extensible enough to allow you to do anything that the
loudmouth: Jabber protocol allows.
loudmouth:
-loudmouth: loudmouth home: http://www.loudmouth-project.org/
+loudmouth: loudmouth home: https://github.com/mcabber/loudmouth
loudmouth:
loudmouth:
loudmouth: